#
# spec file for package obs-service
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define service tar_scm
%define seperate_build 0

%if "%seperate_build" == "1"
%define version_unconverted 0.7.0.1480953937.a4b8b09

Name:           obs-service-obs_scm
%else
%define version_unconverted 0.7.0.1480953937.a4b8b09

Name:           obs-service-%{service}
#Obsoletes:      obs-service-obs_scm
Provides:       obs-service-obs_scm = %version-%release
%endif
Provides:       obs-service-tar = %version-%release
Version:        0.7.0.1480953937.a4b8b09
Release:        0
Summary:        An OBS source service: checkout or update a tar ball from svn/git/hg
License:        GPL-2.0+
Group:          Development/Tools/Building
Url:            https://github.com/openSUSE/obs-service-%{service}
Source:         obs-service-tar_scm-%{version}.tar.gz
# Fix build on Ubuntu by disabling mercurial tests, not applied in rpm
# based distributions
#Patch0:         0001-Debianization-disable-running-mercurial-tests.patch
BuildRequires:  bzr
BuildRequires:  git-core
BuildRequires:  mercurial
BuildRequires:  python >= 2.6
BuildRequires:  python-dateutil
BuildRequires:  python-lxml
BuildRequires:  python-mock
BuildRequires:  python-yaml
BuildRequires:  subversion
Requires:       bzr
Requires:       git-core
Requires:       mercurial
Requires:       python-dateutil
Requires:       python-yaml
Requires:       subversion
%if 0%{?suse_version} < 1315
Requires:       python-argparse
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This is a source service for openSUSE Build Service.

It supports downloading from svn, git, hg and bzr repositories.

%prep
%setup -q -n obs-service-tar_scm-%version

%build

%install
make install DESTDIR="%{buildroot}" PREFIX="%{_prefix}" SYSCFG="%{_sysconfdir}"

%if "%seperate_build" == "1"
rm %{buildroot}/%{_prefix}/lib/obs/service/tar_scm.service
rm %{buildroot}/%{_prefix}/lib/obs/service/obs_scm
mv %{buildroot}/%{_prefix}/lib/obs/service/{tar,obs}_scm
ln -sf obs_scm %{buildroot}/%{_prefix}/lib/obs/service/tar
%endif

%if 0%{?suse_version} >= 1220
%check
# No need to run PEP8 tests here; that would require a potentially
# brittle BuildRequires: python-pep8, and any style issues are already
# caught by Travis CI.
make test
%endif

%files
%defattr(-,root,root)
%dir %{_prefix}/lib/obs
%{_prefix}/lib/obs/service
%dir %{_sysconfdir}/obs
%dir %{_sysconfdir}/obs/services
%config(noreplace) %{_sysconfdir}/obs/services/*

%changelog
